Do you have minimum specification requirements for the devices that we can use for MYCURE?

You are here:
  • KB Home
  • Do you have minimum specification requirements for the devices that we can use for MYCURE?

Yes.
MYCURE mobile apps have specific minimum operation system (OS) requirements.

For Android devices, the OS should be Android 4.4 (Kitkat) or higher.

For iOS devices, the OS should be iOS 10 or higher. You can find these information in your device’s settings.

For laptop or desktop computers, just upgrade to the most recent version of Google Chrome and you should be fine. Click here to download the most recent version.

 

 

 

 

Was this post helpful?

Last Updated On July 07, 2018

Leave a Reply

Your email address will not be published. Required fields are marked *